Skip to main content
PATCH
/
v3
/
{customerId}
/
BankingServices
/
SetScheduledRefresh
Set Scheduled Refresh
curl --request PATCH \
  --url https://{instance}-api.private.fin.ag/v3/{customerId}/BankingServices/SetScheduledRefresh \
  --header 'Content-Type: application/json' \
  --data '
{
  "isActivated": false
}
'
import requests

url = "https://{instance}-api.private.fin.ag/v3/{customerId}/BankingServices/SetScheduledRefresh"

payload = { "isActivated": False }
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({isActivated: false})
};

fetch('https://{instance}-api.private.fin.ag/v3/{customerId}/BankingServices/SetScheduledRefresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"LoginId bb8b8569-3bfc-43c1-ae31-08d6decf1675 has now been activated for automatic refresh"
{
"HttpStatusCode": 400,
"Message": "We couldn't trace the source of this request.",
"FlinksCode": "INVALID_LOGIN"
}
Nightly refreshes is a feature that’s available for customer accounts that are already linked via Flinks Connect. It refreshes account data each night, which provides increased visibility into the accounts that you choose to set this up for. Enable nightly refreshes if you need to see current account balances and most recent transactions. Use the /SetScheduledRefresh endpoint to set up nightly refreshes for a specific account. You can also use this endpoint to disable nightly refreshes for a specific account, typically required if the account becomes inactive in your system. If a particular account is not refreshing each night, use the /GetNightlyRefreshStatus endpoint to determine why this is happening.

Path Parameters

customerId
string
default:43387ca6-0391-4c82-857d-70d95f087ecb
required

Unique GUID provided by Flinks.

Body

application/json
isActivated
boolean
default:false
required

Enabled or disabled (true or false).

loginId
string

Access Token that's associated with a customer account.

Response

Success

Confirmation message.